package nl.saxion.oop.week7.model.pieces;

import nl.saxion.oop.week7.model.Move;

import java.util.ArrayList;

public class Pawn extends ChessPiece
{
    public static final String NAME = "pawn";
    public Pawn(boolean isDark, int x)
    {
        super(NAME, isDark, x, (isDark)?1:6);
    }

    @Override
    public ArrayList<Move> getMoves()
    {
        ArrayList<Move> moves = new ArrayList<>();
        int direction = isDark()?1:-1;
        moves.add(new Move(getX(),getY(),getX(),getY()+direction));
        moves.add(new Move(getX(),getY(),getX()-1,getY()+direction));
        moves.add(new Move(getX(),getY(),getX()+1,getY()+direction));
        if (!hasMoved())
        {
            moves.add(new Move(getX(),getY(),getX(),getY()+direction*2));
        }
        return moves;
    }
}
